Page MenuHomePhabricator

Fundraising Tech Systems Architecture Diagram
Open, Needs TriagePublic

Assigned To
Authored By
jgleeson
Oct 18 2022, 2:42 PM
Referenced Files
F35697203: Fundraising Tech Architecture Diagram (1).jpg
Nov 2 2022, 4:05 PM
F35596995: Fundraising Tech Architecture Diagram.jpg
Oct 18 2022, 6:25 PM
F35596981: Fundraising Tech Architecture Diagram.jpg
Oct 18 2022, 6:13 PM
F35596766: Fundraising Tech Architecture Diagram.jpg
Oct 18 2022, 4:21 PM
F35596729: Fundraising Tech Architecture Diagram4.jpg
Oct 18 2022, 3:56 PM
F35596665: Fundraising Tech Architecture Diagram3.jpg
Oct 18 2022, 2:57 PM
F35596635: Fundraising Tech Architecture Diagram2.jpg
Oct 18 2022, 2:44 PM
Tokens
"Barnstar" token, awarded by greg.

Description

Create a systems architecture diagram of the fundraising technology stack.

Editable diagram is here https://docs.google.com/drawings/d/1QnZYYNAtnituAs9IsSmgPiHAC1EKto9WAWmeh4Dpi-g/edit?usp=sharing

If you can't edit it, ask someone from fr-tech to add you as an Editor.

Event Timeline

jgleeson renamed this task from Fundraising Tech Systems Architecture Diagrams to Fundraising Tech Systems Architecture Diagram.EditedOct 18 2022, 2:42 PM

As of 18/11/2022

Fundraising Tech  Architecture Diagram.jpg (813×1 px, 153 KB)

Feedback saved from @AndyRussG during tech-talk (thank you for the feedback btw!):

[improvements or things missing from the current diagram] it was civicrm interacting with Acoustic (exporting e-mails) and importing data manually, and also interacting with stakeholders, and also with external SMTP servers to send t-y mails

From that feedback, I see three separate suggestions, which I'll reply to below:

CiviCRM's interactions with Acoustic
Response: There is a line from CiviCRM to Acoustic on the right-hand side of the diagram, which highlights this interaction.

Interacting with stakeholders
Response: This diagram isn't intended to show stakeholder interactions with the system, which would be nice to have, I agree. However, I think that needs a separate set of diagrams, and we will likely be part of the Stakeholder Modelling process if and when we go down that road. A good thing to call out, though!

External SMTP servers to send t-y mails
Response: Yeah, this one feels like it's worthy of a box to make it clear that we send emails via two routes, Acoustic and our own mail exchange. I'll think about the best way to add that in to the small space we've got available on the page :)

Other thoughts
My intention with this diagram is to provide a simple high-level overview of the applications and services that make up the fr-tech application stack to people unfamiliar with it. Think of it as an updated version of this but with less comedy. Having something like this should make refactoring and rearchitecting conversations easier going forward. Also, I've deliberately left out a lot of the services fr-tech-ops maintains, e.g. mail, log and analytic servers, as they are outside of the scope of our refactoring for now!

Commit f862400e... pushed by jgleeson:

[ jgleeson/fr-tech-diagrams @main] Add fundraising-tech architecture diagram

Commit 9fd3780d... pushed by jgleeson:

[ repos/fundraising-tech/fr-tech-diagrams @stack_diagram] Add fundraising-tech architecture diagram

Commit 4bc298bd... pushed by jgleeson:

[ repos/fundraising-tech/fr-tech-diagrams @main] Add fundraising-tech architecture diagram

Commit 9fd3780d... pushed by jgleeson:

[ repos/fundraising-tech/fr-tech-diagrams @main] Add fundraising-tech architecture diagram